#
# spec file for package insserv (Version 1.04.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           insserv
License:        GPL
Group:          System/Base
Provides:       aaa_base:/sbin/insserv
Autoreqprov:    on
Version:        1.04.0
Release:        20.4
Summary:        A Program to Arrange Initialization Scripts
Source:         insserv-%{version}.tar.bz2
Patch:          insserv-%{version}.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Insserv enables an installed system init script (boot script) by
reading the comment header of the script and calculating the
dependencies between all scripts.



Authors:
--------
    Dr. Werner Fink <werner@suse.de>

%debug_package
%prep
%setup
%patch

%build
make

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config /etc/insserv.conf
/sbin/insserv
/lib/lsb/*
/usr/lib/lsb/*
%{_mandir}/man8/insserv.8.gz

%changelog -n insserv
* Mon May 15 2006 - werner@suse.de
- Make kdump boot script a interactive script to enforce that this
  script runs not in parallel with other script (#175340, #171332)
* Wed Mar 08 2006 - werner@suse.de
- Ignore .orig and .org file (bug #155944)
* Wed Mar 01 2006 - werner@suse.de
- Add a few lines about $all into the man page (bug #151561)
* Mon Feb 06 2006 - werner@suse.de
- Handle duplets even for interactive scripts
* Tue Jan 31 2006 - werner@suse.de
- Be sure to find all interactive scripts and set their unique
  start number.  This solves the problem of two interactive
  scripts in the same start order.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 25 2006 - werner@suse.de
- Fix the broken fix (bug #145403)
* Mon Jan 23 2006 - werner@suse.de
- Make missing Provides and Requires non-fatal.
* Fri Jan 20 2006 - werner@suse.de
- Fix bug in handling of non-LSB scripts
- Add error condition for broken LSB scripts
- Make calculation of order number somewhat smarter, e.g. do not
  count system facilities.
* Thu Jan 19 2006 - werner@suse.de
- Make the restore option work even on broken link scheme
- Don't count empty provides
* Thu Nov 10 2005 - werner@suse.de
- Add patches from Petter Reinholdtsen
  * Avoid zero pointer
  * Allow not existing rc ditrectories at dryrun
  * Some more debugging code
  * Map the runlevel scheme into a common struct
* Fri Oct 28 2005 - werner@suse.de
- Fix duplet handling in make like service handling (bug #130451)
* Thu Sep 29 2005 - dmueller@suse.de
- add norootforbuild
* Thu Sep 15 2005 - werner@suse.de
- Add dryrun changes from Petter Reinholdtsen
- First step for support of traditional SystemV link scheme
* Wed May 25 2005 - werner@suse.de
- Include confdir patch from Ludwig Nussel
- Bounce version to 1.01.0
* Mon Nov 29 2004 - werner@suse.de
- Add some comments about boot script file names.
* Thu Nov 25 2004 - werner@suse.de
- Update to 1.00.8 : use correct listing head (bug #48415)
* Thu Nov 25 2004 - werner@suse.de
- Update to 1.00.7 : be more verbose on invalid file names
* Tue Nov 23 2004 - werner@suse.de
- Update to 1.00.6
* Tue Nov 23 2004 - werner@suse.de
- Fix segmentation fault caused by broken cast on reversed scanned
  linkage structure (bug #48415)
* Wed Sep 22 2004 - werner@suse.de
- Do not call error recursively if chdir fails (bugzilla #45767)
* Mon Sep 20 2004 - werner@suse.de
- Add a few lines about the make like dependency files to the
  manual page of insserv.
* Fri Sep 17 2004 - werner@suse.de
- Boot scripts which may call sulogin are INTERACTIVE
* Thu Sep 16 2004 - werner@suse.de
- Add dnsmasq and lwresd as optional to system facility named
* Thu Sep 02 2004 - werner@suse.de
- Fix dependency of boot.clock also used in single mode (bug#44610)
* Fri Aug 27 2004 - werner@suse.de
- Fix dependencies of single script
- Fix $ALL handling for dependency files
- Fix handling of interactive scripts for for dependency files
* Thu Aug 19 2004 - werner@suse.de
- Update to 1.00.3 to support dependency files for make calls
* Wed Mar 31 2004 - werner@suse.de
- Verbose option and explain exit status in manual page (#37599)
* Thu Mar 18 2004 - werner@suse.de
- Remove debug message
* Wed Mar 17 2004 - werner@suse.de
- Implement the `$all' feature (bug #36140)
* Wed Mar 10 2004 - werner@suse.de
- YAL (Yet Another Loop) fixed (bug #35522)
* Thu Feb 19 2004 - werner@suse.de
- Do not create a K* link if no S* link exist.
* Thu Feb 19 2004 - werner@suse.de
- More about K* links in /etc/init.d/boot.d
* Tue Feb 17 2004 - ro@suse.de
- enable K* (kill) links in /etc/init.d/boot.d
* Wed Oct 01 2003 - werner@suse.de
- Allow numbers in initial segment of namespace of scripts (#31793)
* Mon Sep 22 2003 - werner@suse.de
- Stop recursive walk on dependency tree hard if a loop is detected
* Tue Sep 16 2003 - werner@suse.de
- Add extra flag for ENABLED status of services due the level
  can not used for checking this anymore (bug #31000)
* Mon Sep 01 2003 - werner@suse.de
- Move (re)calculation of order of active scripts after the
  calculation of all start orders to hold dependencies unique
* Fri Aug 29 2003 - werner@suse.de
- Update to 1.00.0 which fixes the handling of interactive
  services for passphrase input (bug #29375) and enhance
  the calculation of already enabled NONE-LSB scripts.
* Thu Jul 03 2003 - werner@suse.de
- Follow LSB specs and specify script functions for proc
  handling (no /sbin in PATH anymore).
* Wed Jun 18 2003 - werner@suse.de
- Update to 0.99.9: better handling with not LSB conform scripts
* Thu Jun 12 2003 - kukuk@suse.de
- fix filelist
* Wed Apr 16 2003 - werner@suse.de
- Update to 0.99.8: be able to remove doubles with -rf
* Sat Mar 08 2003 - kukuk@suse.de
- Add /lib/lsb back [Bug #24904]
* Wed Jan 15 2003 - ro@suse.de
- split from aaa_base
